Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class CacheFilePriority

    java.lang.Object
      com.sleepycat.db.CacheFilePriority

public final class CacheFilePriority
extends Object

Priorities that can be assigned to files in the cache.

Field Summary
`static CacheFilePriority` | `DEFAULT` The default priority.
`static CacheFilePriority` | `HIGH` The second highest priority.
`static CacheFilePriority` | `LOW` The second lowest priority.
`static CacheFilePriority` | `VERY_HIGH` The highest priority: pages are the least likely to be discarded.
`static CacheFilePriority` | `VERY_LOW` The lowest priority: pages are the most likely to be discarded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final CacheFilePriority DEFAULT

  The default priority.

### HIGH

    public static final CacheFilePriority HIGH

  The second highest priority.

### LOW

    public static final CacheFilePriority LOW

  The second lowest priority.

### VERY_HIGH

    public static final CacheFilePriority VERY_HIGH

  The highest priority: pages are the least likely to be discarded.

### VERY_LOW

    public static final CacheFilePriority VERY_LOW

  The lowest priority: pages are the most likely to be discarded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.